Summary:	GNU implementation of JavaMail API specification
Summary(pl.UTF-8):	Implementacja GNU specyfikacji JavaMail
Name:		java-gnu-mail
Version:	1.1.2
Release:	3
License:	GPL
Group:		Libraries/Java
Source0:	http://ftp.gnu.org/gnu/classpathx/mail-%{version}.tar.gz
# Source0-md5:	0a94ff4328ceb6a4131be96946976a33
Patch0:		javadoc.patch
URL:		http://www.gnu.org/software/classpathx/javamail/javamail.html
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	java-gnu-activation
BuildRequires:	java-gnu-inetlib >= 1.1.2-2
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jre
Provides:	java(javamail) = 1.3
Obsoletes:	javamail
Obsoletes:	java(javamail)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU JavaMail is a free implementation of the JavaMail API
specification, version 1.3. All the code has been written from scratch
without reference to Sun's code, which allows GNU JavaMail to be used
on a completely free operating system such as GNU/Linux or the Hurd.
The code is optimized to work with free Java implementations, nothing
prevents it from being used with any compliant JVM.

%description -l pl.UTF-8
GNU JavaMail to wolnodostępna implementacja specyfikacji API JavaMail
w wersji 1.3. Cały kod został napisany od zera bez wykorzystania kodu
Suna, co pozwala na używanie GNU JavaMail w całkowicie wolnodostępnych
systemach, takich jak GNU/Linux czy Hurd. Kod został zoptymalizowany
pod kątem wolnodostępnych implementacji Javy, ale nic nie powstrzymuje
przed wykorzystaniem go z dowolnym zgodnym JVM-em.

%package javadoc
Summary:	API documentation for GNU JavaMail
Summary(pl.UTF-8):	Dokumentacja API GNU JavaMail
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	java-gnu-mail-doc

%description javadoc
API documentation for GNU JavaMail.

%description javadoc -l pl.UTF-8
Dokumentacja API GNU JavaMail.

%prep
%setup -q -n mail-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
unset CLASSPATH || :
export JAVAC=%{javac}
export JAVA=%{java}
%configure

%{__make}
%{__make} javadoc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_javadir}/{gnumail.jar,gnumail-%{version}.jar}
mv $RPM_BUILD_ROOT%{_javadir}/{gnumail-providers.jar,gnumail-providers-%{version}.jar}
ln -s gnumail-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/gnumail.jar
ln -s gnumail-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/mail.jar
ln -s gnumail-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/mailapi.jar

install -d $RPM_BUILD_ROOT%{_javadir}/javamail
for prov in imap smtp pop3 nntp mbox maildir; do
	ln -s ../gnumail-providers-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/javamail/$prov.jar
done

cp -R docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README* source/javax/mail/*.html
%{_javadir}/*.jar
%dir %{_javadir}/javamail
%{_javadir}/javamail/*.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}
%changelog
* Sun Mar 05 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-gnu-mail.git;a=log;h=master

* Sun Mar 05 2017 Jan Rękorajski <baggins@pld-linux.org> 3845f63
- fix javadoc errors
- rel 3

* Sun Apr 18 2010 Jacek Konieczny <jajcus@pld-linux.org> db000a2
- P/O: java(javamail)
- Release: 2

* Wed Apr 08 2009 pawelz <pawelz@pld-linux.org> 2bf9d57
- O: javamail

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> efcb2b3
- Libraries/Java group

* Tue May 22 2007 Jakub Bogusz <qboosh@pld-linux.org> 631daaa
- updated to 1.1.2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2a6c5ad
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> adb5ac8
- converted to UTF-8

* Wed Jan 31 2007 Elan Ruusamäe <glen@pld-linux.org> f5fd6aa
- add protocol providers; rel 4

* Fri Dec 08 2006 Elan Ruusamäe <glen@pld-linux.org> 1e3ac0e
- -javadoc R: jpackage-utils for parent dirs; rel 3

* Thu May 25 2006 Jacek Konieczny <jajcus@pld-linux.org> 75ff0e0
- Release: 2
- jar location fixed

* Thu May 25 2006 Jakub Bogusz <qboosh@pld-linux.org> b8bfb1f
- Obsoletes for java-gnu-mail-doc

* Thu May 25 2006 Jacek Konieczny <jajcus@pld-linux.org> 8f316bb
- BR: jpackage-utils
- javadoc moved to %{_javadocdir} in javadoc subpackage
- versioned jar, compatibility links

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 56ba5af
- rpmbuild(macros) >= 1.300 instead of macros.java rpm-javaprov

* Tue May 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 04ea679
- pl

* Sun May 21 2006 Elan Ruusamäe <glen@pld-linux.org> 533beb7
- use rpm-javaprov

* Sun May 21 2006 radek <radek@pld-linux.org> 3f81e0a
- include macros.java, BR: jpackage-utils, use %java{,c} macros
- ln -s gnumail.jar javamail.jar (or should it be just mail.jar?)

* Sun May 21 2006 radek <radek@pld-linux.org> 0ad93e7
- BR: java-gnu-activation

* Sun May 21 2006 radek <radek@pld-linux.org> 4a9a3e6
- ExclusiveArch: noarch (for ./builder)

* Thu May 18 2006 Jacek Konieczny <jajcus@pld-linux.org> 17be3b5
- new spec

